Node('ma15.config.sea.psi.ch',
    '''14.9 Tesla superconducting cryomagnet''',
)
Mod('sea_main',
    'frappy_psi.sea.SeaClient',
    'main sea connection for ma15.config',
    config = 'ma15.config',
    service = 'main',
)
Mod('tt',
    'frappy_psi.sea.LscDrivable', '',
    io='sea_main',
    meaning=['temperature_regulation', 27],
    sea_object='tt',
    sensor_path='tm',
    set_path='set',  
)
Mod('cc',
    'frappy_psi.sea.SeaReadable', '',
    io = 'sea_main',
    sea_object = 'cc',
)
Mod('nv',
    'frappy_psi.sea.SeaWritable', '',
    io = 'sea_main',
    sea_object = 'nv',
)
Mod('hefill',
    'frappy_psi.sea.SeaWritable', '',
    io = 'sea_main',
    sea_object = 'hefill',
)
Mod('hepump',
    'frappy_psi.sea.SeaWritable', '',
    io = 'sea_main',
    sea_object = 'hepump',
)
Mod('hemot',
    'frappy_psi.sea.SeaDrivable', '',
    io = 'sea_main',
    sea_object = 'hemot',
)
Mod('nvflow',
    'frappy_psi.sea.SeaReadable', '',
    io = 'sea_main',
    sea_object = 'nvflow',
)
Mod('mf',
    'frappy_psi.sea.SeaDrivable', '',
    io = 'sea_main',
    sea_object = 'mf',
)
Mod('lev',
    'frappy_psi.sea.SeaReadable', '',
    io = 'sea_main',
    sea_object = 'lev',
)
Mod('ln2fill',
    'frappy_psi.sea.SeaWritable', '',
    io = 'sea_main',
    sea_object = 'ln2fill',
)
Mod('tcoil',
    'frappy_psi.sea.SeaReadable', '',
    io = 'sea_main',
    sea_object = 'tcoil',
)
Mod('ccu2',
    'frappy_psi.sea.SeaWritable', '',
    io = 'sea_main',
    sea_object = 'ccu2',
)
Mod('lnv',
    'frappy_psi.sea.SeaWritable', '',
    io = 'sea_main',
    sea_object = 'lnv',
)
Mod('lpr',
    'frappy_psi.sea.SeaDrivable', '',
    io = 'sea_main',
    sea_object = 'lpr',
)
Mod('table',
    'frappy_psi.sea.SeaReadable', '',
    io = 'sea_main',
    sea_object = 'table',
)
Mod('stick_io',
    'frappy_psi.phytron.PhytronIO',
    'om motor IO',
    uri='ma15-ts.psi.ch:3005',
)
Mod('om',
    'frappy_psi.phytron.Motor',
    'stick rotation, typically used as omega',
    io='stick_io',
    encoder_mode='CHECK',
)

